uses
  usword,ubump2,uhullam,ublob,uoszlop,ufeed,ucyl,uwater,ufloor,ubump,
  video,usm,crt;

var
  psp_seg: dword;
  music: PUSM;

begin
  asm
    push eax
    push ebx
    xor ebx,ebx
    mov ah,62h
    int 21h
    mov [psp_seg],ebx
    pop ebx
    pop eax
  end;
  USS_HardwareInit(PSP_Seg);
  USS_ManualSetup;
  Video_Selectmode;
  textmode(co80);
  textColor(7); Textbackground(0);
  writeln;
  Writeln('þ INQUISITION - REFLECTIONS');
  writeln;
  writeln('þ Loading your audio pleasure ...');
  music:=USS_XM_Load(0,$20202020,'zak.xm');
  write('þ Calculating your visual enjoyment ... [');
  SWORD_INIT; write('þ');
  BUMP2_INIT; write('þ');
  HULLAM_INIT; write('þ');
  BLOB_INIT; write('þ');
  OSZLOP_INIT; write('þ');
  FEEDBACK_INIT; write('þ');
  CYL_INIT; write('þ');
  WATER_INIT; write('þ');
  FLOOR_INIT; write('þ');
  BUMP_INIT; write('þ');
  writeln(']');
  writeln('þ Starting the demonstration ...');
  delay(2000);
  video_init;
  USMP_StartPlays(music);
  SWORD_ACTION;
  BUMP2_ACTION(1,1,333);
  HULLAM_ACTION;
  BLOB_ACTION;
  OSZLOP_ACTION;
  FLOOR_ACTION;
  BUMP2_ACTION(0,1,330);
  WATER_ACTION;
  CYL_ACTION;
  BUMP2_ACTION(2,1,330);
  BUMP_ACTION;
  FEEDBACK_ACTION;
  ExitDemo;
{  USMP_StopPlays;
  video_close;
  textmode(co80);
  USMP_FreeModules(music);
  SWORD_CLOSE;
  BUMP2_CLOSE;
  HULLAM_CLOSE;
  BLOB_CLOSE;
  OSZLOP_CLOSE;
  WATER_CLOSE;
  FLOOR_CLOSE;
  CYL_CLOSE;
  BUMP_CLOSE;
  FEEDBACK_CLOSE;
  writeln('Copyright (C) 1998, Inquisition');
  writeln(counter);}
end.
